-- Players:
	-- 0 [H]:	Germany
	-- 1 [AI]:	Poland
p_PO=1

-- 1 Objective defined in scenario:
	-- 0 		Capture all victory hexes

-- 1 Trigger defined in scenario:
	-- 1x	OnStart(NewRoundAction)

-- Use lib. prefix for utility and support functions:
lib = require "shared"	-- file shared.lua in campaign directory ../AO1939

-- ** called automatically **
function OnMapStart()
	local value = campaign.comm_points or 0
	campaign.comm_points = lib.InitCommendationPoints(value)	-- UI: Commendation Points
end

--------------
-- Triggers --
--------------

---------------
-- PanzerZug --
---------------

eq = {
	units= {{"ArmouredTrain","",0,0}},
	zone = {{3,2},{4,2},{5,2}}
}

-- ** 1x Effect(NewRoundAction) **
function OnStart(action)
	-- @FIXME: was specified using NSLOC key as _Modlin in original ... _Lvov may not exist (causes blank message, if used)
	TutorialMessage(NSLOCTEXT("scenario_Modlin","string_PanzerZug","<bi>Hauptmann Wagner: </>Interesting report just came in, Mein General.  Apparently our salvage and repair crews have come across the wrecks of numerous Polish armored trains.  So many in fact, they have taken it upon themselves to cobble together a fully armed and functional Panzerzug for our own use.  It is apparently already ready for immediate deployment...\n\nI must say, this is certainly unexpected.  I will have to make some kind of arrangements to reward their initiative!  Just remember that whenever you deploy this particular unit to the field, it is restricted to moving on railroad lines only."))
	lib.SpawnWave(0, eq.zone, eq.units, true)	-- create & place player unit as auxiliary
end
